> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download pipecat call recording from S3/MinIO



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/voice/calls/{call}/recording
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/calls/{call}/recording:
    get:
      tags:
        - Calls
      summary: Download pipecat call recording from S3/MinIO
      operationId: voice.calls.recording
      parameters:
        - name: call
          in: path
          required: true
          description: The call ID
          schema:
            type: string
            format: uuid
        - name: track
          in: query
          description: Determine which track to download (composite, user, bot)
          schema:
            type: string
            default: composite
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: string
        '400':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        example: 'Invalid track. Use: composite, user, or bot'
                    required:
                      - error
                  - type: object
                    properties:
                      error:
                        type: string
                        example: No recording url found
                    required:
                      - error
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Failed to download recording
                required:
                  - error
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````